%define	major		0
%define libname		%mklibname relp %{major}
%define develname	%mklibname relp -d

Summary:	Reliable Event Logging Protocol (RELP) library
Name:		librelp
Version:	1.11.0
Release:	%mkrel 1
License:	GPLv3+
Group:		System/Libraries
URL:		http://www.librelp.com/
Source0:	http://download.rsyslog.com/librelp/%{name}-%{version}.tar.xz

BuildRequires:	pkgconfig(gnutls)

%description
librelp is an easy to use library for the RELP protocol. RELP in turn provides
reliable event logging over the network (and consequently RELP stands for
Reliable Event Logging Protocol). RELP was initiated by Rainer Gerhards after
he was finally upset by the lossy nature of plain tcp syslog and wanted a cure
for all these dangling issues.

%package -n	%{libname}
Summary:	Reliable Event Logging Protocol (RELP) library
Group:		System/Libraries

%description -n	%{libname}
librelp is an easy to use library for the RELP protocol. RELP in turn provides
reliable event logging over the network (and consequently RELP stands for
Reliable Event Logging Protocol). RELP was initiated by Rainer Gerhards after
he was finally upset by the lossy nature of plain tcp syslog and wanted a cure
for all these dangling issues.

%package -n	%{develname}
Summary:	Development files for the %{libname} library
Group:		Development/Libraries
Requires:	%{libname} >= %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	relp-devel = %{version}-%{release}

%description -n	%{develname}
Development files for the %{libname} library.

%prep
%setup -q

%build
%configure2_5x \
	--disable-static \
	--disable-tls-openssl \
	--disable-rpath

%make_build

%install
rm -rf %buildroot
%make_install

find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%{_libdir}/lib*.so.%{major}*

%files -n %{develname}
%{_includedir}/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Thu Jan 19 2023 tex - 1.11.0-1pclos2023
- new version

* Tue Aug 03 2021 tex - 1.10.0-1pclos2021
- new version

* Fri Dec 04 2020 tex - 1.9.0-1pclos2020
- new version
